## ros-iron-compressed-depth-image-transport 3.1.0

=== debian/changelog ===
ros-iron-compressed-depth-image-transport (3.1.0-1jammy) jammy; urgency=high

  * Deprecated the following parameter names in favor of transport scoped ones. The remapping is listed below:
    * image.png_level to image.compressedDepth.png_level
    * image.depth_max to image.compressedDepth.depth_max
    * image.depth_quantization to image.compressedDepth.depth_quantization
    The deprecated parameters emit a warning if explicitly set, but this warning will be removed in future distros.
    (#145 <https://github.com/ros-perception/image_transport_plugins/issues/145>)
  * Contributors: Bartosz Meglicki, Kenji Brameld, Marcel Zeilinger

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 08 May 2023 00:00:00 -0000

ros-iron-compressed-depth-image-transport (3.0.0-1jammy) jammy; urgency=high

  * Replace deprecated cv_bridge.h with cv_bridge.hpp (#118 <https://github.com/ros-perception/image_transport_plugins/issues/118>)
  * Update maintainer (#112 <https://github.com/ros-perception/image_transport_plugins/issues/112>)
  * Contributors: Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 18 Apr 2023 00:00:00 -0000

ros-iron-compressed-depth-image-transport (2.6.0-1jammy) jammy; urgency=high

  * Fix advertiseImpl() in compressed_depth_publisher and subscribeImpl() in compressed_depth_subscriber. (#106 <https://github.com/ros-perception/image_transport_plugins/issues/106>)
  * Contributors: Ivan Santiago Paunovic

 -- David Gossow <dgossow@willowgarage.com>  Tue, 16 Aug 2022 00:00:00 -0000

ros-iron-compressed-depth-image-transport (2.5.0-1jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Mon, 18 Apr 2022 00:00:00 -0000

ros-iron-compressed-depth-image-transport (2.3.2-1jammy) jammy; urgency=high

  * Fix copyright year 20012 -> 2012 (#79 <https://github.com/ros-perception/image_transport_plugins/issues/79>)
  * JPEG only supports 8 bits images (#73 <https://github.com/ros-perception/image_transport_plugins/issues/73>)
  * Contributors: Ivan Santiago Paunovic, Michael Carroll

 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Feb 2022 00:00:00 -0000

ros-iron-compressed-depth-image-transport (2.3.1-1jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Tue, 13 Jul 2021 00:00:00 -0000

ros-iron-compressed-depth-image-transport (2.3.0-1jammy) jammy; urgency=high

  * Use non-deprecated image_transport headers (#59 <https://github.com/ros-perception/image_transport_plugins/issues/59>)
  * Contributors: Michael Carroll

 -- David Gossow <dgossow@willowgarage.com>  Thu, 28 May 2020 00:00:00 -0000

ros-iron-compressed-depth-image-transport (2.2.1-1jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Wed, 23 Oct 2019 00:00:00 -0000

ros-iron-compressed-depth-image-transport (2.2.0-1jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-iron-compressed-depth-image-transport (2.1.0-1jammy) jammy; urgency=high

  * Merge pull request #33 <https://github.com/ros-perception/image_transport_plugins/issues/33> from klintan/ros2
    [ROS2] Fixed portability warning for compressed depth plugin.
  * fixed portability warning for name
  * Contributors: Andreas Klintberg, David Gossow

 -- David Gossow <dgossow@willowgarage.com>  Fri, 23 Aug 2019 00:00:00 -0000

ros-iron-compressed-depth-image-transport (2.0.0-1jammy) jammy; urgency=high

  * Pointer api updates (#31 <https://github.com/ros-perception/image_transport_plugins/issues/31>)
  * Bring ros2-devel back into ros2 mainline. (#29 <https://github.com/ros-perception/image_transport_plugins/issues/29>)
  * Update compressed_image_transport to ros2 (#26 <https://github.com/ros-perception/image_transport_plugins/issues/26>)
  * Contributors: Michael Carroll, Jose Luis Rivero

 -- David Gossow <dgossow@willowgarage.com>  Thu, 13 Dec 2018 00:00:00 -0000

ros-iron-compressed-depth-image-transport (1.9.5-1jammy) jammy; urgency=high

  * disable -Werr
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Mon, 03 Oct 2016 00:00:00 -0000

ros-iron-compressed-depth-image-transport (1.9.4-1jammy) jammy; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Fix a missing return statement and add -Wall -Werror.
  * Contributors: Lukas Bulwahn, Mac Mason

 -- David Gossow <dgossow@willowgarage.com>  Sun, 02 Oct 2016 00:00:00 -0000

ros-iron-compressed-depth-image-transport (1.9.3-1jammy) jammy; urgency=high

  * Refactor the codec into its own .h and .cpp.
  * remove useless tf dependencies
  * Contributors: Mac Mason, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sun, 17 Jan 2016 00:00:00 -0000

ros-iron-compressed-depth-image-transport (1.9.2-1jammy) jammy; urgency=high

  * use compression parameters for both depths
    fixes #12 <https://github.com/ros-perception/image_transport_plugins/issues/12>
  * get code to compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 25 Apr 2015 00:00:00 -0000

ros-iron-compressed-depth-image-transport (1.9.1-1jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Jul 2014 00:00:00 -0000

ros-iron-compressed-depth-image-transport (1.9.0-1jammy) jammy; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 16 May 2014 00:00:00 -0000

ros-iron-compressed-depth-image-transport (1.8.21-1jammy) jammy; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow


